Subject: Re: Consensus on "Git"

From: Teemu Likonen <[email-masked]>
Date: Wed, 11 Nov 2009 16:58:47 +0200

On 2009-11-11 10:33 (+0100), Johannes Schindelin wrote:

> Yes, in Open Source, we are used to crude, geeky humor, some of us
> even accept blunt mails, but we are embedded in a world that is called
> "reality".
>
> In my experience, in this world it is much easier to tell people that
> your program is called "Git" ("could have been John, either") and be
> done with the questions.

Yes, that’s how the language works. Proper nouns are capitalized, so in
plain text the name of this program should always be written “Git”. Only
in command examples it is “git”.

Sometimes people mix proper nouns and logos/brands. Proper nouns are
under the rules of the language. For example, I can’t go telling people
that my name must be written “teEMu” because I don’t own Finnish.

In logos the brands’ owner can try to be funny and cool and different
and write anything they want (like “gɨT” or “GīT”).